#!/bin/tcsh
#
#
#  ##################################################################
#  ##                                                              ##
#  ##  linkgui.make  --  link each of the TINKER programs for FFE  ##
#  ##          (Intel Fortran Compiler for Linux Version)          ##
#  ##                                                              ##
#  ##################################################################
#
#
#  Create a variable with the static libraries to link against;
#  Change "inteldir" to reflect location of the Intel compiler
#
set inteldir = '/usr/intel/lib'
set linklibs = ($inteldir/libifcore.a $inteldir/libifport.a \
                $inteldir/libimf.a $inteldir/libcxa.a \
                $inteldir/libirc.a /usr/lib/libdl.a)
#
#  Use gcc instead of ifc to force use of static Intel libraries
#
gcc  -pthread -s -o alchemy.x alchemy.o libtinker.a $linklibs 
gcc  -pthread -s -o analyze.x analyze.o libtinker.a $linklibs 
gcc  -pthread -s -o anneal.x anneal.o libtinker.a $linklibs 
gcc  -pthread -s -o archive.x archive.o libtinker.a $linklibs 
gcc  -pthread -s -o correlate.x correlate.o libtinker.a $linklibs 
gcc  -pthread -s -o crystal.x crystal.o libtinker.a $linklibs 
gcc  -pthread -s -o diffuse.x diffuse.o libtinker.a $linklibs 
gcc  -pthread -s -o distgeom.x distgeom.o libtinker.a $linklibs 
gcc  -pthread -s -o document.x document.o libtinker.a $linklibs 
gcc  -pthread -s -o dynamic.x dynamic.o libtinker.a $linklibs 
gcc  -pthread -s -o gda.x gda.o libtinker.a $linklibs 
gcc  -pthread -s -o intedit.x intedit.o libtinker.a $linklibs 
gcc  -pthread -s -o intxyz.x intxyz.o libtinker.a $linklibs 
gcc  -pthread -s -o minimize.x minimize.o libtinker.a $linklibs 
gcc  -pthread -s -o minirot.x minirot.o libtinker.a $linklibs 
gcc  -pthread -s -o minrigid.x minrigid.o libtinker.a $linklibs 
gcc  -pthread -s -o monte.x monte.o libtinker.a $linklibs 
gcc  -pthread -s -o newton.x newton.o libtinker.a $linklibs 
gcc  -pthread -s -o newtrot.x newtrot.o libtinker.a $linklibs 
gcc  -pthread -s -o nucleic.x nucleic.o libtinker.a $linklibs 
gcc  -pthread -s -o optimize.x optimize.o libtinker.a $linklibs 
gcc  -pthread -s -o optirot.x optirot.o libtinker.a $linklibs 
gcc  -pthread -s -o optrigid.x optrigid.o libtinker.a $linklibs 
gcc  -pthread -s -o path.x path.o libtinker.a $linklibs 
gcc  -pthread -s -o pdbxyz.x pdbxyz.o libtinker.a $linklibs 
gcc  -pthread -s -o polarize.x polarize.o libtinker.a $linklibs 
gcc  -pthread -s -o protein.x protein.o libtinker.a $linklibs 
gcc  -pthread -s -o pss.x pss.o libtinker.a $linklibs 
gcc  -pthread -s -o pssrigid.x pssrigid.o libtinker.a $linklibs 
gcc  -pthread -s -o pssrot.x pssrot.o libtinker.a $linklibs 
gcc  -pthread -s -o radial.x radial.o libtinker.a $linklibs 
gcc  -pthread -s -o saddle.x saddle.o libtinker.a $linklibs 
gcc  -pthread -s -o scan.x scan.o libtinker.a $linklibs 
gcc  -pthread -s -o sniffer.x sniffer.o libtinker.a $linklibs 
gcc  -pthread -s -o spacefill.x spacefill.o libtinker.a $linklibs 
gcc  -pthread -s -o spectrum.x spectrum.o libtinker.a $linklibs 
gcc  -pthread -s -o superpose.x superpose.o libtinker.a $linklibs 
gcc  -pthread -s -o sybylxyz.x sybylxyz.o libtinker.a $linklibs 
gcc  -pthread -s -o testgrad.x testgrad.o libtinker.a $linklibs 
gcc  -pthread -s -o testhess.x testhess.o libtinker.a $linklibs 
gcc  -pthread -s -o testlight.x testlight.o libtinker.a $linklibs 
gcc  -pthread -s -o testrot.x testrot.o libtinker.a $linklibs 
gcc  -pthread -s -o timer.x timer.o libtinker.a $linklibs 
gcc  -pthread -s -o timerot.x timerot.o libtinker.a $linklibs 
gcc  -pthread -s -o vibrate.x vibrate.o libtinker.a $linklibs 
gcc  -pthread -s -o vibrot.x vibrot.o libtinker.a $linklibs 
gcc  -pthread -s -o xtalfit.x xtalfit.o libtinker.a $linklibs 
gcc  -pthread -s -o xtalmin.x xtalmin.o libtinker.a $linklibs 
gcc  -pthread -s -o xyzedit.x xyzedit.o libtinker.a $linklibs 
gcc  -pthread -s -o xyzint.x xyzint.o libtinker.a $linklibs 
gcc  -pthread -s -o xyzpdb.x xyzpdb.o libtinker.a $linklibs 
gcc  -pthread -s -o xyzsybyl.x xyzsybyl.o libtinker.a $linklibs 
