c
c
c     ###################################################
c     ##  COPYRIGHT (C)  1999  by  Jay William Ponder  ##
c     ##              All Rights Reserved              ##
c     ###################################################
c
c     ###############################################################
c     ##                                                           ##
c     ##  program bionum  --  renumber biotype records in prmfile  ##
c     ##                                                           ##
c     ###############################################################
c
c
c     "bionum" is a utility program used to renumber the biotype
c     records in a TINKER parameter file after the biotype mapping
c     has been altered, usually by adding new biotype records
c
c
      program bionum
      implicit none
      integer i,j,k,m
      integer iprm,inew,leng
      integer freeunit,trimtext
      character*15 string
      character*60 filename
      character*120 record
c
c
c     get the base name of the parameter file to reformat
c
      write (*,10)
   10 format (/,' Enter Base Name of the Parameter File :  ',$)
      read (*,20)  filename
   20 format (a60)
      leng = trimtext (filename)
c
c     open the input and output parameter files
c
      iprm =  freeunit ()
      inew = freeunit ()
      open (unit=iprm,file=filename(1:leng)//'.prm',status='old')
      open (unit=inew,file=filename(1:leng)//'.new',status='new')
c
c     process the parameter file, renumbering the biotypes
c
      j = 0
      k = 0
      m = 0
      do i = 1, 100000
         read (iprm,30,err=60,end=60)  record
   30    format (a120)
         leng = trimtext (record)
c
c     default case with only biotype renumbering
c
c        if (record(1:7) .eq. 'biotype') then
c           j = j + 1
c           write (inew,40)  j,record(15:leng)
c  40       format ('biotype',i7,a)
c        else
c           write (inew,50)  record(1:leng)
c  50       format (a)
c        end if
c
c     code to handle AMBER, MMFF and TINKER
c
c        if (record(1:7) .eq. 'biotype') then
c           j = j + 1
c           write (inew,40)  j,record(15:48),j
c  40       format ('biotype',i7,a34,i7)
c        else if (record(1:4) .eq. 'atom') then
c           k = k + 1
c           write (inew,41)  k,record(12:leng)
c  41       format ('atom',i7,a)
c        else if (record(1:6) .eq. 'charge') then
c           m = m + 1
c           write (inew,42)  m,record(15:leng)
c  42       format ('charge',i8,a)
c        else
c           write (inew,50)  record(1:leng)
c  50       format (a)
c        end if
c
c     special hardcoded renumbering of multipoles
c
         if (record(1:9) .eq. 'multipole') then
            string = record(15:29)
            read (string,*)  j,k,m
            if (j .gt. 36) then
               j = j + 4
            else if (j .gt. 24) then
               j = j + 2
            end if
            if (k .gt. 36) then
               k = k + 4
            else if (k .gt. 24) then
               k = k + 2
            end if
            if (m .gt. 36) then
               m = m + 4
            else if (m .gt. 24) then
               m = m + 2
            end if
            write (inew,40)  j,k,m,record(30:leng)
   40       format ('multipole',5x,3i5,a)
         else
            write (inew,50)  record(1:leng)
   50       format (a)
         end if
      end do
   60 continue
      close (unit=iprm)
      close (unit=inew)
      end
